TAAS - Feature #164

Inter Branch Reconciliation
02/25/2023 10:33 AM - Anil KV

Status: Reopen Bugs Start date: 11/08/2024
Priority: Normal Due date:

Assignee: Vivekp V % Done: 50%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By:

Time Taken(HH): Code Reviewed By:

Module: Inter Branch Reconciliation

Description

Coding Inter Branch Reconciliation

History

#1 - 06/26/2023 05:27 PM - Anil KV

- Assignee changed from Junaid M to travvise Admin

#2 - 12/09/2023 03:35 PM - Anil KV

- Assignee changed from travvise Admin to Aparna Mathew

#3 - 08/10/2024 12:54 PM - Anil KV
Work Flow:-

GUI Change

—> Add 'Balance' column after Received Cloumn
Workflow

—> Branch (Search) and Master Branch not change,

and transaction table Branch = input branch
-> Each Branch wise group need TOtal

—> Cr balance for each branch that means - the amount paid to the bank

—> Add Net Balance in Details and Previous tab
—->POSTING
Cr balance Case

disable master branch with Branch
—-> From bank records consider (In transaction table - ledger)

— Debit 'To Bank account' - and Internal mating to all selected records the branch

- Credit 'To Bank account'
Dr balance Case
— Debit 'To Bank account'

- Credit 'To Bank account' - and Internal mating to all selected records the branch

#4 - 08/10/2024 12:59 PM - Anil KV
- Status changed from New to Ready for Coding
- % Done changed from 0 to 20

#5 - 10/11/2024 03:03 PM - Junaid M
- File INTER-BRANCH-RECO.jpg added

#6 - 10/11/2024 03:05 PM - Junaid M
- File ipmsgclip_s_1728637752_0.png added

#7 - 11/09/2024 09:17 AM - Aparna Mathew

- Status changed from Ready for Coding to Coding Started
- Start date changed from 02/25/2023 to 11/08/2024

- % Done changed from 20 to 30

05/03/2025

—> Branch linked Account in Branch Master
#8 - 11/30/2024 09:22 AM - Aparna Mathew
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#9 - 01/02/2025 03:27 PM - Arathy PS

- Assignee changed from Aparna Mathew to Vivekp V

#10 - 01/29/2025 05:25 PM - Arathy PS
- File clipboard-202501291725-x0fkv.png added
- Status changed from Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND

Inter Branch Reconciliation

Travvise
22883: procedure sp_insert or_update_inter_branch_recofjsonb, jsonb, jsonbi], unknown) does not exist

Period”

2025 2 Branch*
Master  Details  Previous
Dacument No. Date” | 29/01/2025
Reference
Remarks
Created By:
Modified By:
"' mma
Received Paid
~  Branch: BROO2: Branch 1
*  Currency: QAR
d
5000.00 0.00

#11 - 01/29/2025 05:55 PM - Arathy PS
- File clipboard-202501291755-y1sif.png added

£R002: Branch 1 o From Branches”  granch | ain .
o0 Branch™ | BROO2: Branch 1 e
Department™ | DPOQ1: Account =
Period:
i
T Q B
Balance
5000.00 Cr

#12 - 04/28/2025 06:09 PM - Arathy PS
- File clipboard-202504281710-4kn3n.png added

05/03/2025

PO001: jsnSpOutRes: [ e "1 -1, "strsgiC 2 - : *Inter Branch Save Failed”, “strSqIC " : "DATABASE_SYSTEM_ERROR", “strSqICustomErorCode” : null, ™ *: "null value in column \"vhr_document_code\" of
relation \"tbl_dac no_generator\" violates not-null constraint”, “strSqlSysExceptionDetail" : “Failing row contains (0, null, null, null, null, null, nul, 12, ,, null, null, null ).", " 1 *SQL statement \'INSERT INTO |_doc_no_generator
(vhr_company Prefix, _branch Pref: «_financial year Prefix\r _month_Prefix\rin - document_code \Am\ARVAVERt\tbin_last_ number\An\\B &R E\thin_highest number\An\ARBANBBE v last document noj\vin VALUES(', vhrBranchPrefix,
vhrYearPrefix,  vhrDocumentCode, D tCode.bin_last_number, objSetD tCode bin_last number! "\"\nPL/pgSQL function fn_get new_document number{character varying bigint date) line 64 at SQL statement\nSQL statement \"SELECT * FROM
fn_get_new_document_number(INTER_BRANCH_RECONCILIATION':VARCHAR, CAST{jsnDocument->> binBranchld' AS BIGINT):BIGINT, CASTjsnDocument->>'datDocument’ AS DATE):DATEN\nPL/pgSQL function sp_insert_or_update._inter_branch_recoljsonbjsonb,sonbi]) line 31 at SQL statement’, "binSqlPk* : 0,
"binSglLogPk" : 0, “strSqiDocNo” : null, "dctSqlOtherData” : {"binDocumentid™: null, )"t null, | " nullj}
Period”™ 2 2 Branch® | BRO02: Branch 1 ~ From Branehes™  granch 1 Mein -
Master | Details Previous
Document No Date™ | 29/01/2025 <] Branch™ | BROO2: Branch 1 v
Reference Department” | DP0Q1:: Account v
Remarks Period:
4
Created By:
Modified By:
mma T Q 2 @
Received paid Balance
~  Branch: BROOZ:: Branch 1
*  Currency: QAR
500000 0.00 5000.00 Cr
ISSUE FOUND

1. Add expand/collapse icon in the grid for all tabs.
2. Amount not showing based on ROE.
3. Total amount showing in net balance is incorrect.

Inter Branch Reconciliation 2/ 9 =~ Menu-_q M AN -]

Branch® | BROD3:: Calicut Branch ~ From Branches™ 13 TVM Branct - Q Search

Master | Details | Previous

T Q 2
e Document No Date Party Paid Received Net Balance | Reference Narration Issue Date Ticket/Voucher Pax Name Details

~  Branch: BR0O02:: TVM Branch

~  Cumenq y: INR
d RV/005 28/04/2025 ALOO8:TVM Branch ... 000 250.00 -250.00 System Posting(fvdg) ~ Receive From TVM ... System Posting:- Br...
0.00 250.00 -250.00
~  Cumency: QAR (e amount showing here s in QaR when currency is showing in INR ]
v INV/004 28/04/2025 ALOO8:TVM Branch 0.00 1000.00 -1250.00 29/04/2025 erty
0.00 1,000.00 -1,250.00
Branch: BR003:: Calicut Branch
~  Cumrency: QAR
v IBR/001 28/04/2025 AL0DG::Branch Cont. 000 500.00 -1750.00 Inter Branch Reconc..
0.00 500.00 -1,750.00

INR 0.00 INR 250.00 NR -250,00

QAR 0.00 QAR 1500.00 QAR -3000.00

4. Can't delete a document when the privilege set is auto revoke while deleting documents.
